import 'package:openweather/openweather.dart';
import 'package:test/test.dart';
import '../lib/api_key.dart';

void main() {
  group('Test Current Weather API', () {
    OpenWeatherClient client;

    setUp(() {
      client = new OpenWeatherClient(API_KEY);
    });

    test('Test Current Weather by City Name', () async {
      CurrentWeather weather =
          await client.getCurrentWeatherByCityName("Dhaka");
      expect(weather.name, "Dhaka");
      expect(weather.timezone, 19800);
    });
    test('Test Current Weather by City Name with Country Code', () async {
      CurrentWeather weather =
          await client.getCurrentWeatherByCityName("Dhaka", "bd");
      expect(weather.name, "Dhaka");
      expect(weather.timezone, 21600);
    });
    test('Test Current Weather by City ID', () async {
      CurrentWeather weather = await client.getCurrentWeatherByCityID(1185241);
      expect(weather.name, "Dhaka");
      expect(weather.timezone, 21600);
    });
    test('Test Current Weather by Coordinate', () async {
      CurrentWeather weather =
          await client.getCurrentWeatherByCoordinate(lat: 23.71, lon: 90.41);
      expect(weather.name, "Dhaka");
      expect(weather.timezone, 21600);
    });
    test('Test Current Weather by ZIPCode', () async {
      CurrentWeather weather = await client.getCurrentWeatherByZIPCode(90001);
      expect(weather.name, "Los Angeles");
      expect(weather.timezone, -25200);
    });
    test('Test Current Weather by ZIPCode with country', () async {
      CurrentWeather weather =
          await client.getCurrentWeatherByZIPCode(1212, 'bd');
      expect(weather.name, "Gulshan Model Town");
      expect(weather.timezone, 21600);
    });
  });
}
